#
# spec file for package typescript
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           typescript
Version:        4.2.4
Release:        bp154.1.23
Summary:        A language for application scale JavaScript development
License:        Apache-2.0
Group:          Development/Libraries/Other
URL:            http://typescriptlang.org/
Source0:        https://github.com/microsoft/TypeScript/releases/download/v%{version}/%{name}-%{version}.tgz
BuildRequires:  fdupes
BuildRequires:  nodejs-packaging
BuildArch:      noarch
%{?nodejs_requires}

%description
TypeScript is a language for application-scale JavaScript. TypeScript adds
optional types, classes, and modules to JavaScript. TypeScript supports tools
for large-scale JavaScript applications for any browser, for any host, on any
OS. TypeScript compiles to readable, standards-based JavaScript.

%prep
%setup -q -n package

sed -i 's/\r$//' ThirdPartyNoticeText.txt
sed -i 's/\r$//' README.md
sed -i 's/\r$//' LICENSE.txt

%build

%install
%nodejs_install

# Fix shebang lines
for file in %{buildroot}%{_bindir}/ts* ; do
    sed -i -e "s|#!%{_bindir}/env node|#!%{_bindir}/node|" $(readlink -f $file)
done

%fdupes %{buildroot}

%files
%license LICENSE.txt ThirdPartyNoticeText.txt CopyrightNotice.txt
%doc README.md
%dir %{nodejs_sitelib}
%{nodejs_sitelib}/%{name}
%{_bindir}/tsc
%{_bindir}/tsserver

%changelog
* Mon Apr 12 2021 Mustafa Çalışkan <musfay@protonmail.com>
- Update to version 4.2.4
  * See https://www.typescriptlang.org/docs/handbook/release-notes/overview.html
    for a complete changelog.
* Thu Mar 11 2021 Mustafa Çalışkan <musfay@protonmail.com>
- Update to version 4.2.3
  * See https://www.typescriptlang.org/docs/handbook/release-notes/overview.html
    for a complete changelog.
* Sun Feb 28 2021 Mustafa Çalışkan <musfay@protonmail.com>
- Update to version 4.2.2
  * See https://www.typescriptlang.org/docs/handbook/release-notes/overview.html
    for a complete changelog.
* Sun Feb  7 2021 Mustafa Çalışkan <musfay@protonmail.com>
- Update to version 4.1.3
  * See https://www.typescriptlang.org/docs/handbook/release-notes/overview.html
    for a complete changelog.
* Wed Sep 23 2020 Ismail Dönmez <idonmez@suse.com>
- Update to version 4.0.3
  * See https://www.typescriptlang.org/docs/handbook/release-notes/overview.html
    for a complete changelog.
* Mon Aug  3 2020 Ismail Dönmez <idonmez@suse.com>
- Update to version 3.9.7
  * See https://www.typescriptlang.org/docs/handbook/release-notes/overview.html
    for a complete changelog.
* Mon Jun  8 2020 Ismail Dönmez <idonmez@suse.com>
- Update to version 3.9.5
  * See https://www.typescriptlang.org/docs/handbook/release-notes/overview.html
    for a complete changelog.
* Wed May 20 2020 Ismail Dönmez <idonmez@suse.com>
- Update to version 3.9.3
  * See https://www.typescriptlang.org/docs/handbook/release-notes/overview.html
    for a complete changelog.
* Wed May 13 2020 Ismail Dönmez <idonmez@suse.com>
- Update to version 3.9.2
  * See https://www.typescriptlang.org/docs/handbook/release-notes/overview.html
    for a complete changelog.
* Fri May  1 2020 Marcus Rueckert <mrueckert@suse.de>
- Update to version 3.8.3
  * See https://www.typescriptlang.org/docs/handbook/release-notes/overview.html
    for a complete changelog.
* Fri Jan 17 2020 Ismail Dönmez <idonmez@suse.com>
- Update to version 3.7.5
  * See https://www.typescriptlang.org/docs/handbook/release-notes/overview.html
    for a complete changelog.
* Tue Dec 24 2019 Ismail Dönmez <idonmez@suse.com>
- Update to version 3.7.4
  * See https://www.typescriptlang.org/docs/handbook/release-notes/overview.html
    for a complete changelog.
* Wed Dec  4 2019 Ismail Dönmez <idonmez@suse.com>
- Update to version 3.7.3
  * See https://www.typescriptlang.org/docs/handbook/release-notes/overview.html
    for a complete changelog.
* Sun Dec  1 2019 Ismail Dönmez <idonmez@suse.com>
- Update to version 3.7.2
  * See https://www.typescriptlang.org/docs/handbook/release-notes/overview.html
    for a complete changelog.
* Sun Nov 25 2018 Matej Cepl <mcepl@suse.com>
- Upgrade to 3.1.6. The list of changes is too long, you can find
  infromation about changes on the TypeScript wiki, e.g., in
  https://github.com/Microsoft/TypeScript/wiki/What%%27s-new-in-TypeScript
* Thu Mar 16 2017 carlos@techbyte.ca
- Updating to 2.2.1
* Thu Feb  9 2017 carlos@techbyte.ca
- Downgrading to 2.1.6
* Thu Feb  9 2017 carlos@techbyte.ca
- Bumping to 2.2.0
* Wed Feb  8 2017 carlos@techbyte.ca
- Renaming package
* Wed Feb  8 2017 carlos@techbyte.ca
- Initial release.
